## net.i2p.util
Interface EepGet.StatusListener

All Known Implementing Classes:
  EepGetScheduler, NewsFetcher, UpdateHandler.UpdateRunner

Enclosing interface:
  EepGet

public static interface EepGet.StatusListener

Method Summary
`void` `attemptFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt, int numRetries, java.lang.Exception cause)`
`void` `bytesTransferred(long alreadyTransferred, int currentWrite, long bytesTransferred, long bytesRemaining, java.lang.String url)`
`void` `headerReceived(java.lang.String url, int currentAttempt, java.lang.String key, java.lang.String val)`
`void` `transferComplete(long alreadyTransferred, long bytesTransferred, long bytesRemaining, java.lang.String url, java.lang.String outputFile, boolean notModified)`
`void` `transferFailed(java.lang.String url, long bytesTransferred, long bytesRemaining, int currentAttempt)`

Method Detail

### bytesTransferred

    public void bytesTransferred(long alreadyTransferred,
                                 int currentWrite,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url)

### transferComplete

    public void transferComplete(long alreadyTransferred,
                                 long bytesTransferred,
                                 long bytesRemaining,
                                 java.lang.String url,
                                 java.lang.String outputFile,
                                 boolean notModified)

### attemptFailed

    public void attemptFailed(java.lang.String url,
                              long bytesTransferred,
                              long bytesRemaining,
                              int currentAttempt,
                              int numRetries,
                              java.lang.Exception cause)

### transferFailed

    public void transferFailed(java.lang.String url,
                               long bytesTransferred,
                               long bytesRemaining,
                               int currentAttempt)

### headerReceived

    public void headerReceived(java.lang.String url,
                               int currentAttempt,
                               java.lang.String key,
                               java.lang.String val)